package com.sunxung.factoring.entity.invoicemanage;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import java.math.BigDecimal;

/**
 * @Description : 发票管理-资金占用费历史信息表
 * @Author : liutao
 * @Date: 2022-3-22
 */
@TableName("invoice_his_possession_cost_info")
public class InvoiceHisPossessionCostInfo extends BaseEntity {

    /**
     * 发票历史信息表ID
     **/
    @TableField(value = "invoice_his_info_id")
    private Long invoiceHisInfoId;
    /**
     * 资金占用费类型
     */
    @TableField(value = "possession_cost_type")
    private Long possessionCostType;
    /**
     * 资金占用费
     */
    @TableField(value = "possession_cost")
    private BigDecimal possessionCost;

    public InvoiceHisPossessionCostInfo() {
    }

    public Long getInvoiceHisInfoId() {
        return invoiceHisInfoId;
    }

    public void setInvoiceHisInfoId(Long invoiceHisInfoId) {
        this.invoiceHisInfoId = invoiceHisInfoId;
    }

    public Long getPossessionCostType() {
        return possessionCostType;
    }

    public void setPossessionCostType(Long possessionCostType) {
        this.possessionCostType = possessionCostType;
    }

    public BigDecimal getPossessionCost() {
        return possessionCost;
    }

    public void setPossessionCost(BigDecimal possessionCost) {
        this.possessionCost = possessionCost;
    }
}
